Package picard.illumina.parser

## Class FourChannelIntensityData

- java.lang.Object
- - picard.illumina.parser.FourChannelIntensityData

-     public class FourChannelIntensityData
      extends Object

  Holds a 4 short values for each cycle of a read. This is used, to store raw intensities, processed intensities, or noise. Note that for Illumina 1.1 and 1.3, these are floating point values, but are truncated to shorts to store here. Indices into the channel arrays are zero-based, i.e. the first cycle is 0.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FourChannelIntensityData​(int numberOfCycles)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `short[]` | `getA()` |
    `short[]` | `getC()` |
    `short[]` | `getChannel​(IntensityChannel channel)` |
    `short[]` | `getG()` |
    `short[]` | `getT()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FourChannelIntensityData

          public FourChannelIntensityData​(int numberOfCycles)

  - ### Method Detail

    - #### getChannel

          public short[] getChannel​(IntensityChannel channel)

    - #### getA

          public short[] getA()

    - #### getC

          public short[] getC()

    - #### getG

          public short[] getG()

    - #### getT

          public short[] getT()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`